RefreshModeEnum (KML Framework API)
Keywords: org.boehn.kmlframework.kml.RefreshModeEnum class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.boehn.kmlframework.kml
Enum RefreshModeEnum

    java.lang.Object
      java.lang.Enum<RefreshModeEnum>
          org.boehn.kmlframework.kml.RefreshModeEnum

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<RefreshModeEnum>

    public enum RefreshModeEnum

extends java.lang.Enum<RefreshModeEnum>

Enum Constant Summary
`onChange`
`onExpire`
`onInterval`

Method Summary
`static RefreshModeEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static RefreshModeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### onChange

    public static final RefreshModeEnum onChange

### onInterval

    public static final RefreshModeEnum onInterval

### onExpire

    public static final RefreshModeEnum onExpire

Method Detail

### values

    public static final RefreshModeEnum[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(RefreshModeEnum c : RefreshModeEnum.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static RefreshModeEnum valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD